PETSc version 3.15.5
Fix/Edit manual page

# PCFieldSplitSetGKBTol

Sets the solver tolerance for the generalized Golub-Kahan bidiagonalization preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetGKBTol(PC pc,PetscReal tolerance)

Collective on PC

### Notes

The generalized GKB algorithm uses a lower bound estimate of the error in energy norm as stopping criterion. It stops once the lower bound estimate undershoots the required solver tolerance. Although the actual error might be bigger than this estimate, the stopping criterion is satisfactory in practical cases [A13].

[Ar13] Generalized Golub-Kahan bidiagonalization and stopping criteria, SIAM J. Matrix Anal. Appl., Vol. 34, No. 2, pp. 571-592, 2013.

### Input Parameters

| pc | - the preconditioner context
| tolerance | - the solver tolerance

### Options Database

| -pc_fieldsplit_gkb_tol | - default is 1e-5

### See Also

PCFIELDSPLIT, PCFieldSplitSetGKBDelay(), PCFieldSplitSetGKBNu(), PCFieldSplitSetGKBMaxit()

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

### Implementations

PCFieldSplitSetGKBTol_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages